Bug 299324 - Highlight Selected Window elevates Window Above TabBox
Summary: Highlight Selected Window elevates Window Above TabBox
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: tabbox (show other bugs)
Version: git master
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: 4.9 Beta 1
Assignee: KWin default assignee
URL:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2012-05-03 20:13 UTC by Martin Flöser
Modified: 2012-05-04 20:38 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.9


Attachments
Screenshot showing the problem (462.10 KB, image/png)
2012-05-03 21:23 UTC, Martin Flöser
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Flöser 2012-05-03 20:13:00 UTC
Steps to reproduce:
1. Enable Highlight windows in Window Switcher KCM
2. Enable Grid layout
3. Use Alt+Tab

Actual behavior:
Selected window is raised above the TabBox. TabBox window is no longer useful.

Expected Result:
TabBox is also raised and should never be shown above the TabBox.
Comment 1 Thomas Lübking 2012-05-03 21:16:16 UTC
I get the outline above the tabbox (bug #298487) but not the highlighted window.
With or without compositing?
Comment 2 Martin Flöser 2012-05-03 21:23:04 UTC
Created attachment 70841 [details]
Screenshot showing the problem

Yeah that is with OpenGL and outline disabled.
Comment 3 Thomas Lübking 2012-05-03 21:31:48 UTC
Yeah, ok - bigger problem(?)
KWindowSystem::compositingActive() is invalidly false here ... (kdelibs is vanilla 4.8.2 from arch)
Comment 4 Thomas Lübking 2012-05-03 21:44:46 UTC
have patch, make RR after test
Comment 5 Thomas Lübking 2012-05-04 20:38:54 UTC
Git commit eb098cc615ddd154bb86554e8e66cb7b1607fde4 by Thomas Lübking.
Committed on 04/05/2012 at 01:08.
Pushed by luebking into branch 'master'.

elevate tabbox when elevating highlighted windows
FIXED-IN: 4.9
REVIEW: 104845

M  +3    -1    kwin/tabbox/tabbox.cpp
M  +1    -1    kwin/tabbox/tabbox.h
M  +19   -8    kwin/tabbox/tabboxhandler.cpp
M  +4    -1    kwin/tabbox/tabboxhandler.h

http://commits.kde.org/kde-workspace/eb098cc615ddd154bb86554e8e66cb7b1607fde4